<!DOCTYPE html>
<html><head>
<title>eric7.Utilities.PasswordChecker</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Utilities.PasswordChecker</h1>
<p>
Module implementing a checker for password strength.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#PasswordCheckStatus">PasswordCheckStatus</a></td>
<td>Class defining the status of a password check.</td>
</tr>
<tr>
<td><a href="#PasswordChecker">PasswordChecker</a></td>
<td>Class implementing a checker for password strength.</td>
</tr>
<tr>
<td><a href="#PasswordStrength">PasswordStrength</a></td>
<td>Class defining the password strength.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="PasswordCheckStatus" ID="PasswordCheckStatus"></a>
<h2>PasswordCheckStatus</h2>
<p>
    Class defining the status of a password check.
</p>

<h3>Derived from</h3>
enum.Enum
<h3>Class Attributes</h3>
<table>
<tr><td>Exceeded</td></tr>
<tr><td>Failed</td></tr>
<tr><td>Passed</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="PasswordChecker" ID="PasswordChecker"></a>
<h2>PasswordChecker</h2>
<p>
    Class implementing a checker for password strength.
</p>

<h3>Derived from</h3>
None
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#PasswordChecker.__init__">PasswordChecker</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#PasswordChecker.__determineBinaryStatus">__determineBinaryStatus</a></td>
<td>Private method to determine a binary status.</td>
</tr>
<tr>
<td><a href="#PasswordChecker.__determineStatus">__determineStatus</a></td>
<td>Private method to determine the status.</td>
</tr>
<tr>
<td><a href="#PasswordChecker.__strReverse">__strReverse</a></td>
<td>Private method to reverse a string.</td>
</tr>
<tr>
<td><a href="#PasswordChecker.checkPassword">checkPassword</a></td>
<td>Public method to check a given password.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="PasswordChecker.__init__" ID="PasswordChecker.__init__"></a>
<h4>PasswordChecker (Constructor)</h4>
<b>PasswordChecker</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="PasswordChecker.__determineBinaryStatus" ID="PasswordChecker.__determineBinaryStatus"></a>
<h4>PasswordChecker.__determineBinaryStatus</h4>
<b>__determineBinaryStatus</b>(<i>value</i>)
<p>
        Private method to determine a binary status.
</p>

<dl>

<dt><i>value</i> (int)</dt>
<dd>
value to check
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
status
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
PasswordCheckStatus
</dd>
</dl>
<a NAME="PasswordChecker.__determineStatus" ID="PasswordChecker.__determineStatus"></a>
<h4>PasswordChecker.__determineStatus</h4>
<b>__determineStatus</b>(<i>value</i>)
<p>
        Private method to determine the status.
</p>

<dl>

<dt><i>value</i> (int)</dt>
<dd>
value to check
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
status
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
PasswordCheckStatus
</dd>
</dl>
<a NAME="PasswordChecker.__strReverse" ID="PasswordChecker.__strReverse"></a>
<h4>PasswordChecker.__strReverse</h4>
<b>__strReverse</b>(<i>string</i>)
<p>
        Private method to reverse a string.
</p>

<dl>

<dt><i>string</i> (str)</dt>
<dd>
string to be reversed
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
reversed string
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="PasswordChecker.checkPassword" ID="PasswordChecker.checkPassword"></a>
<h4>PasswordChecker.checkPassword</h4>
<b>checkPassword</b>(<i>password</i>)
<p>
        Public method to check a given password.
</p>

<dl>

<dt><i>password</i> (str)</dt>
<dd>
password to be checked
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
indication for the password strength
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
PasswordStrength
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="PasswordStrength" ID="PasswordStrength"></a>
<h2>PasswordStrength</h2>
<p>
    Class defining the password strength.
</p>

<h3>Derived from</h3>
enum.IntEnum
<h3>Class Attributes</h3>
<table>
<tr><td>Good</td></tr>
<tr><td>Strong</td></tr>
<tr><td>VeryStrong</td></tr>
<tr><td>VeryWeak</td></tr>
<tr><td>Weak</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
